#define  USE_HY17M28_2M
/******************************************************************************
 * -------------------------------------------------------------------------- *
 * Copyright 2021 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17M28                                                           *
 *****************************************************************************/

/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include "lcdTable.h"
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
//#define LED_ALL_ON_Test

#define Sleep()       __asm__ ("SLP")   //Sleep Mode
#define Idle()          __asm__ ("IDLE")  //Idle Mode
#define NOP()        __asm__ ("NOP")  //NOP Mode

#define BIT0 0x01
#define BIT1 0x02
#define BIT2 0x04
#define BIT3 0x08
#define BIT4 0x10
#define BIT5 0x20
#define BIT6 0x40
#define BIT7 0x80

#ifdef USE_HY17M28_2M
#define HAO_2MHZ
#endif
#ifdef USE_HY17M28_4M
#define HAO_4MHZ
#endif
#ifdef USE_HY17M28_8M
#define HAO_8MHZ
#endif
#ifdef USE_HY17M28_16M
#define HAO_17MHZ
#endif

#define Delay_Time 50000
/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int del);
void CLOCKInit(void);
void LED_Display_show(signed long DATA);
void LED_Display_h(unsigned char ledx, unsigned char On_OFF);
unsigned char GetDisplay(unsigned char show,unsigned char ledx);
void HYCON_LED_8x7_Array(void);
void TEST1_LED_8x7_Array(void);
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char LED[8];
unsigned char LEDScan;
signed long  ADCData1;
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{

  OSCCN1|=BIT7;  //CCOPT=1b
  CCNT=0x07;       //15mA
  ENCCMODE=0xff;
  PT2DA=0x00;
  INTE0 |= 0x40;
  TMA1CN=0xc0;
  TMA1C=1;		    //Set Scan Rate
  //TMA1C=2;		    //Set Scan Rate
  //TMA1C=4;		    //Set Scan Rate
  LEDScan=1;	
  
  INTE0|=BIT7;       //GIE=1b

#ifdef LED_ALL_ON_Test
	LED[0]=0xff;
	LED[1]=0xff;
    LED[2]=0xff;
	LED[3]=0xff;
	LED[4]=0xff;
	LED[5]=0xff;
	LED[6]=0xff;
	LED[7]=0xff;
	while(1);
#endif

  while(1)
  {  
    TEST1_LED_8x7_Array();
    HYCON_LED_8x7_Array();	
    HYCON_LED_8x7_Array();		
    TEST1_LED_8x7_Array();
  }
  
}
/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
    //A21023 V01 version
	unsigned char flag;
	flag=INTF0 & 0x40 ;
	if(flag == 0x40)
	{
		INTF0 &= 0xBF;
		TMA1R=0;
		LEDScan=LEDScan>>1;
		if(LEDScan==0)
		{LEDScan=0x80;}
		
		/*
		switch(LEDScan)
		{
			case 0x01:
			{
				PT2= 0;
				TRISC2=LED[0] | 0x01;
				PT2=~(LED[0] & 0xFE);
				break;
			}
			case 0x02:
			{
				PT2= 0;
				TRISC2=LED[1] | 0x02;
				PT2=~(LED[1]& 0xFD);
				break;
			}
			case 0x04:
			{
				PT2= 0;
				TRISC2=LED[2] | 0x04;
				PT2=~(LED[2] & 0xFB);
				break;
			}
			case 0x08:
			{
				PT2= 0;
				TRISC2=LED[3] | 0x08;
				PT2=~(LED[3]& 0xF7);
				break;
			}
			case 0x10:
			{
				PT2= 0;
				TRISC2=LED[4] | 0x10;
				PT2=~(LED[4]& 0xEF);
				break;
			}
			case 0x20:
			{
				PT2= 0;
				TRISC2=LED[5] | 0x20;
				PT2=~(LED[5]& 0xDF);
				break;
			}
			case 0x40:
			{
				PT2= 0;
				TRISC2=LED[6] | 0x40;
				PT2=~(LED[6]& 0xBF);
				break;
			}
			case 0x80:
			{
				PT2= 0;
				TRISC2=LED[7] | 0x80;
				PT2=~(LED[7]& 0x7F);
				break;
			}
		}
		*/
		
		
		switch(LEDScan)
		{
			case 0x01:
			{
				PT2= 0;
				TRISC2=LED[0] | 0x01;
				PT2=(LED[0] & 0xFE);
				break;
			}
			case 0x02:
			{
				PT2= 0;
				TRISC2=LED[1] | 0x02;
				PT2=(LED[1]& 0xFD);
				break;
			}
			case 0x04:
			{
				PT2= 0;
				TRISC2=LED[2] | 0x04;
				PT2=(LED[2] & 0xFB);
				break;
			}
			case 0x08:
			{
				PT2= 0;
				TRISC2=LED[3] | 0x08;
				PT2=(LED[3]& 0xF7);
				break;
			}
			case 0x10:
			{
				PT2= 0;
				TRISC2=LED[4] | 0x10;
				PT2=(LED[4]& 0xEF);
				break;
			}
			case 0x20:
			{
				PT2= 0;
				TRISC2=LED[5] | 0x20;
				PT2=(LED[5]& 0xDF);
				break;
			}
			case 0x40:
			{
				PT2= 0;
				TRISC2=LED[6] | 0x40;
				PT2=(LED[6]& 0xBF);
				break;
			}
			case 0x80:
			{
				PT2= 0;
				TRISC2=LED[7] | 0x80;
				PT2=(LED[7]& 0x7F);
				break;
			}
		}
			
		
	}
}
/*----------------------------------------------------------------------------*/
/* CLOCK Init Function                                                        */
/*----------------------------------------------------------------------------*/
void CLOCKInit(void)
{
#if defined(HAO_2MHZ)
  //HAO=2MHz
  OSCCN2|=BIT0;  //ENHAO=1b
#endif

#if defined(HAO_4MHZ)
  //HAO=4MHz
  OSCCN2|=BIT0;  //ENHAO=1b
  OSCCN2|=BIT1;
#endif

#if defined(HAO_8MHZ)
  //HAO=8MHz
  OSCCN2|=BIT0;  //ENHAO=1b
  OSCCN2|=BIT2;
#endif

#if defined(HAO_17MHZ)
  //HAO=17MHz
  OSCCN2|=BIT0;  //ENHAO=1b
  OSCCN2|=BIT1;
  OSCCN2|=BIT2;
#endif
}


/*----------------------------------------------------------------------------*/
/* LED_Display_show Function                                                      */
/*----------------------------------------------------------------------------*/
void LED_Display_show(signed long DATA)
{
  //display range +8388607~-8388608 (dec)
  //display range 0x7FFFFF~ 0x800000 (hex)
  ADCData1=DATA;
  if((ADCData1<0)||(ADCData1>0x80000000))  // plus-minus sign judgment
  {
	  ADCData1=~ADCData1;
	  ADCData1++;
      LED[7]=LED[7] | 0x40;  //UartTxBuffer[0]='-';
  }
  else
  {
      if(LED[7]==0x40)
      {LED[7]=LED[7] - 0x40;}  //UartTxBuffer[0]='+';
  }
  DATA=ADCData1;  
  
  ADCData1= seg[DATA%10];
  LED[6]= GetDisplay(ADCData1,7);
  DATA /=10;
     
  ADCData1= seg[DATA%10];
  LED[5]= GetDisplay(ADCData1,6);
  DATA /=10;
        
  ADCData1= seg[DATA%10];
  LED[4]= GetDisplay(ADCData1,5);
  DATA /=10;
        
  ADCData1= seg[DATA%10];
  LED[3]= GetDisplay(ADCData1,4);
  DATA /=10;

  
  ADCData1= seg[DATA%10];
  ////LED[2]= GetDisplay(ADCData1,3);
  DATA /=10;
  //Robert test
  LED[2]=0;
    
  ADCData1= seg[DATA%10];
  ////LED[1]= GetDisplay(ADCData1,2);
  DATA /=10;
  //Robert test
  LED[1]=0;
    
  ADCData1= seg[DATA%10];
  ////LED[0]= GetDisplay(ADCData1,1);
  //Robert test
  LED[0]=0;
   
}


/*----------------------------------------------------------------------------*/
/* LED_Display_h Function                                                         */
/*----------------------------------------------------------------------------*/
void LED_Display_h(unsigned char ledx, unsigned char On_OFF)
{

  unsigned char LEDScan_h, On_OFF_h ;
  LEDScan_h=ledx;     
  On_OFF_h=On_OFF;
  
  switch(LEDScan_h)
  {
    case 0x1:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x01;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] -0x01;}
      break;
    }
    case 0x2:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x02;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x02;}				
      break;
    }
    case 0x3:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x04;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x04;}					
      break;
    }
    case 0x4:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x08;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x08;}					
      break;
    }
    case 0x5:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x10;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x10;}	
      break;
    }
    case 0x6:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x20;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x20;}	
      break;
    }
    case 0x7:
    {
      if(On_OFF_h==1)
      {LED[7]=LED[7] | 0x40;}
      if(On_OFF_h==0)
      {LED[7]=LED[7] - 0x40;}	
      break;
    }
  }
  
}

/*------------------------------------------------------------------------------|
|  Function: GetDisplay                                                         |
|                                                                               |
|  Parameters:                                                                  |	
|         show         - [in]	LED show data                                     |
|         ledx         - [in] LED show ledx                                     |
|  Returns:                                                                     |
|         None                                                                  |
|                                                                               |
|  Description:                                                                 |
|         This function is used to open LED Driver                              |
|------------------------------------------------------------------------------*/
unsigned char GetDisplay(unsigned char show,unsigned char ledx)
{
  unsigned char RRTemp,RLTemp,RRR;
  RRTemp=show;
  RLTemp=show;

  RRR=0xff;

  RRTemp=(RRTemp<<1);
  RRR=(RRR<<ledx);
  RRTemp &= RRR;

  RRR=0xff;
  RRR=RRR>>(8-ledx);
  RLTemp &= RRR;
  RRR= RLTemp | RRTemp;

  return RRR;
}
/*----------------------------------------------------------------------------*/
/* Subroutine Function                                                        */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int del)
{
  while(--del)
  NOP();
}


/*----------------------------------------------------------------------------*/
/* HYCON_LED_8x7_Array                                                       */
/*----------------------------------------------------------------------------*/
void HYCON_LED_8x7_Array(void)
{

    //pic1
    LED[0]=0b10010000;
	LED[1]=0b10010001;
	LED[2]=0b10010001;
	LED[3]=0b11110001;
	LED[4]=0b10010010;
	LED[5]=0b10010100;
	LED[6]=0b10010000;
	LED[7]=0b00010000;
	Delay(Delay_Time);

	//pic2
    LED[0]=0b00100010;
	LED[1]=0b00100010;
	LED[2]=0b00100010;
	LED[3]=0b11100010;
	LED[4]=0b00100101;
	LED[5]=0b00101000;
	LED[6]=0b00100000;
	LED[7]=0b00100000;			
	Delay(Delay_Time);
 
	//pic3
    LED[0]=0b01000100;
	LED[1]=0b01000100;
	LED[2]=0b01000100;
	LED[3]=0b11000100;
	LED[4]=0b01001010;
	LED[5]=0b01010001;
	LED[6]=0b01000000;
	LED[7]=0b01000000;			
	Delay(Delay_Time);

	//pic4
    LED[0]=0b10001000;
	LED[1]=0b10001000;
	LED[2]=0b10001000;
	LED[3]=0b10011000;
	LED[4]=0b10110100;
	LED[5]=0b10100010;
	LED[6]=0b10000000;
	LED[7]=0b10000000;			
	Delay(Delay_Time);
	
	
	//pic5
    LED[0]=0b00010000;
	LED[1]=0b00010001;
	LED[2]=0b00010010;
	LED[3]=0b00101010;
	LED[4]=0b01001010;
	LED[5]=0b00000101;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	
    
   
	//pic6
    LED[0]=0b00100010;
	LED[1]=0b00100111;
	LED[2]=0b00100100;
	LED[3]=0b01010100;
	LED[4]=0b10010100;
	LED[5]=0b00001011;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	
    
	//pic7
    LED[0]=0b01000111;
	LED[1]=0b01001011;
	LED[2]=0b01001000;
	LED[3]=0b10101000;
	LED[4]=0b00001000;
	LED[5]=0b00010111;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	

	//pic8
    LED[0]=0b10001110;
	LED[1]=0b10010010;
	LED[2]=0b10010000;
	LED[3]=0b01010000;
	LED[4]=0b00110000;
	LED[5]=0b00001110;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	

	//pic9
    LED[0]=0b00011100;
	LED[1]=0b00100000;
	LED[2]=0b00100000;
	LED[3]=0b10100000;
	LED[4]=0b01000000;
	LED[5]=0b00011100;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	


	//pic10
    LED[0]=0b00111001;
	LED[1]=0b01000011;
	LED[2]=0b01000010;
	LED[3]=0b01000010;
	LED[4]=0b10100010;
	LED[5]=0b00111001;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	
    
   
	//pic11
    LED[0]=0b01110011;
	LED[1]=0b10000111;
	LED[2]=0b10000100;
	LED[3]=0b10000100;
	LED[4]=0b01110100;
	LED[5]=0b00010011;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);
    
	//pic12
    LED[0]=0b11100111;
	LED[1]=0b00001011;
	LED[2]=0b00001000;
	LED[3]=0b00001000;
	LED[4]=0b11101000;
	LED[5]=0b00000111;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);


	//pic13
    LED[0]=0b11001111;
	LED[1]=0b00010011;
	LED[2]=0b00010000;
	LED[3]=0b00010000;
	LED[4]=0b11010000;
	LED[5]=0b00001111;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);
	
	//pic14
    LED[0]=0b10011110;
	LED[1]=0b00100010;
	LED[2]=0b00100001;
	LED[3]=0b00100001;
	LED[4]=0b10000001;
	LED[5]=0b00011110;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);
	
	//pic15
    LED[0]=0b00111100;
	LED[1]=0b01000000;
	LED[2]=0b01000010;
	LED[3]=0b01000010;
	LED[4]=0b00100010;
	LED[5]=0b00111100;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	

	//pic16
    LED[0]=0b01111001;
	LED[1]=0b10000101;
	LED[2]=0b10000101;
	LED[3]=0b10000101;
	LED[4]=0b01100101;
	LED[5]=0b00111001;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);
		
	//pic17
    LED[0]=0b11110010;
	LED[1]=0b00001010;
	LED[2]=0b00001010;
	LED[3]=0b00001010;
	LED[4]=0b11111011;
	LED[5]=0b00110010;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	
	
	//pic18
    LED[0]=0b11100100;
	LED[1]=0b00010100;
	LED[2]=0b00010100;
	LED[3]=0b00010101;
	LED[4]=0b11110110;
	LED[5]=0b00100100;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);
	
	//pic19
    LED[0]=0b11001000;
	LED[1]=0b00101000;
	LED[2]=0b00101001;
	LED[3]=0b00101010;
	LED[4]=0b11001100;
	LED[5]=0b00001000;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	

	//pic20
    LED[0]=0b10010001;
	LED[1]=0b01010001;
	LED[2]=0b01010011;
	LED[3]=0b01010101;
	LED[4]=0b10011001;
	LED[5]=0b00010001;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	

	//pic21
    LED[0]=0b00100010;
	LED[1]=0b10100110;
	LED[2]=0b10101110;
	LED[3]=0b10111010;
	LED[4]=0b00110010;
	LED[5]=0b00100010;
	LED[6]=0b00000000;
	LED[7]=0b00000000;			
	Delay(Delay_Time);	
	
	//pic22
    LED[0]=0b01000101;
	LED[1]=0b01001101;
	LED[2]=0b01010101;
	LED[3]=0b01100101;
	LED[4]=0b01000101;
	LED[5]=0b00000101;
	LED[6]=0b00000001;
	LED[7]=0b00000001;			
	Delay(Delay_Time);	
	
	//pic23
    LED[0]=0b10001010;
	LED[1]=0b10011010;
	LED[2]=0b10101010;
	LED[3]=0b11001010;
	LED[4]=0b10001011;
	LED[5]=0b00001010;
	LED[6]=0b00000010;
	LED[7]=0b00000010;			
	Delay(Delay_Time);
	
	//pic24
    LED[0]=0b00010100;
	LED[1]=0b00110100;
	LED[2]=0b01010100;
	LED[3]=0b10010100;
	LED[4]=0b00010111;
	LED[5]=0b00010100;
	LED[6]=0b00000100;
	LED[7]=0b00000100;			
	Delay(Delay_Time);	

	//pic25
    LED[0]=0b00101001;
	LED[1]=0b01101001;
	LED[2]=0b10101001;
	LED[3]=0b00101001;
	LED[4]=0b00101111;
	LED[5]=0b00101001;
	LED[6]=0b00001001;
	LED[7]=0b00001001;			
	Delay(Delay_Time);
	
	//pic26
    LED[0]=0b01010010;
	LED[1]=0b11010010;
	LED[2]=0b01010010;
	LED[3]=0b01010010;
	LED[4]=0b01011110;
	LED[5]=0b00010010;
	LED[6]=0b00010010;
	LED[7]=0b00010010;			
	Delay(Delay_Time);	

	//pic27
    LED[0]=0b10100100;
	LED[1]=0b10100100;
	LED[2]=0b10100100;
	LED[3]=0b10110100;
	LED[4]=0b10111100;
	LED[5]=0b00100100;
	LED[6]=0b00100100;
	LED[7]=0b00100100;			
	Delay(Delay_Time);

	//pic28
    LED[0]=0b01001000;
	LED[1]=0b01001000;
	LED[2]=0b01001000;
	LED[3]=0b01111000;
	LED[4]=0b01001001;
	LED[5]=0b01001010;
	LED[6]=0b01001000;
	LED[7]=0b01001000;			
	Delay(Delay_Time);
	
    //pic29==pic1
    LED[0]=0b10010000;
	LED[1]=0b10010001;
	LED[2]=0b10010001;
	LED[3]=0b11110001;
	LED[4]=0b10010010;
	LED[5]=0b10010100;
	LED[6]=0b10010000;
	LED[7]=0b00010000;
	Delay(Delay_Time);	





				
}

/*----------------------------------------------------------------------------*/
/* TEST1_LED_8x7_Array                                                        */
/*----------------------------------------------------------------------------*/
void TEST1_LED_8x7_Array(void)
{

    //pic0
	LED[7]=0b01111111;
    LED[6]=0b10000000;
    LED[5]=0b11000000;
   	LED[4]=0b11100000; 	
	LED[3]=0b11110000;
	LED[2]=0b11111000;	
	LED[1]=0b11111100;	
    LED[0]=0b11111110;
	Delay(Delay_Time);

     //pic1
	LED[7]=0b11111111;
    LED[6]=0b11111111;
    LED[5]=0b11111111;
   	LED[4]=0b11111111; 	
	LED[3]=0b11111111;
	LED[2]=0b11111111;	
	LED[1]=0b11111111;	
    LED[0]=0b11111111;
	Delay(Delay_Time);

     //pic2
	LED[7]=0b11111110;
    LED[6]=0b11111110;
    LED[5]=0b11111110;
   	LED[4]=0b11111110; 	
	LED[3]=0b11111110;
	LED[2]=0b11111110;	
	LED[1]=0b11111110;	
    LED[0]=0b11111110;
	Delay(Delay_Time);

     //pic3
	LED[7]=0b11111100;
    LED[6]=0b11111100;
    LED[5]=0b11111100;
   	LED[4]=0b11111100; 	
	LED[3]=0b11111100;
	LED[2]=0b11111100;	
	LED[1]=0b11111100;	
    LED[0]=0b11111100;
	Delay(Delay_Time);

     //pic4
	LED[7]=0b11111000;
    LED[6]=0b11111000;
    LED[5]=0b11111000;
   	LED[4]=0b11111000; 	
	LED[3]=0b11111000;
	LED[2]=0b11111000;	
	LED[1]=0b11111000;	
    LED[0]=0b11111000;
	Delay(Delay_Time);

     //pic5
	LED[7]=0b11110000;
    LED[6]=0b11110000;
    LED[5]=0b11110000;
   	LED[4]=0b11110000; 	
	LED[3]=0b11110000;
	LED[2]=0b11110000;	
	LED[1]=0b11110000;	
    LED[0]=0b11110000;
	Delay(Delay_Time);

     //pic6
	LED[7]=0b11100000;
    LED[6]=0b11100000;
    LED[5]=0b11100000;
   	LED[4]=0b11100000; 	
	LED[3]=0b11100000;
	LED[2]=0b11100000;	
	LED[1]=0b11100000;	
    LED[0]=0b11100000;
	Delay(Delay_Time);

     //pic7
	LED[7]=0b11000000;
    LED[6]=0b11000000;
    LED[5]=0b11000000;
   	LED[4]=0b11000000; 	
	LED[3]=0b11000000;
	LED[2]=0b11000000;	
	LED[1]=0b11000000;	
    LED[0]=0b11000000;
	Delay(Delay_Time);

     //pic8
	LED[7]=0b10000000;
    LED[6]=0b10000000;
    LED[5]=0b10000000;
   	LED[4]=0b10000000; 	
	LED[3]=0b10000000;
	LED[2]=0b10000000;	
	LED[1]=0b10000000;	
    LED[0]=0b10000000;
	Delay(Delay_Time);
	
     //pic9
	LED[7]=0b00000000;
    LED[6]=0b00000000;
    LED[5]=0b00000000;
   	LED[4]=0b00000000; 	
	LED[3]=0b00000000;
	LED[2]=0b00000000;	
	LED[1]=0b00000000;	
    LED[0]=0b00000000;
	Delay(Delay_Time);	

     //pic10
	LED[7]=0b00000001;
    LED[6]=0b00000001;
    LED[5]=0b00000001;
   	LED[4]=0b00000001; 	
	LED[3]=0b00000001;
	LED[2]=0b00000001;	
	LED[1]=0b00000001;	
    LED[0]=0b00000001;
	Delay(Delay_Time);	

     //pic11
	LED[7]=0b00000011;
    LED[6]=0b00000011;
    LED[5]=0b00000011;
   	LED[4]=0b00000011; 	
	LED[3]=0b00000011;
	LED[2]=0b00000011;	
	LED[1]=0b00000011;	
    LED[0]=0b00000011;
	Delay(Delay_Time);	

     //pic12
	LED[7]=0b00000111;
    LED[6]=0b00000111;
    LED[5]=0b00000111;
   	LED[4]=0b00000111; 	
	LED[3]=0b00000111;
	LED[2]=0b00000111;	
	LED[1]=0b00000111;	
    LED[0]=0b00000111;
	Delay(Delay_Time);	

     //pic13
	LED[7]=0b00001111;
    LED[6]=0b00001111;
    LED[5]=0b00001111;
   	LED[4]=0b00001111; 	
	LED[3]=0b00001111;
	LED[2]=0b00001111;	
	LED[1]=0b00001111;	
    LED[0]=0b00001111;
	Delay(Delay_Time);	

     //pic14
	LED[7]=0b00011111;
    LED[6]=0b00011111;
    LED[5]=0b00011111;
   	LED[4]=0b00011111; 	
	LED[3]=0b00011111;
	LED[2]=0b00011111;	
	LED[1]=0b00011111;	
    LED[0]=0b00011111;
	Delay(Delay_Time);	

     //pic15
	LED[7]=0b00111111;
    LED[6]=0b00111111;
    LED[5]=0b00111111;
   	LED[4]=0b00111111; 	
	LED[3]=0b00111111;
	LED[2]=0b00111111;	
	LED[1]=0b00111111;	
    LED[0]=0b00111111;
	Delay(Delay_Time);	

     //pic16
	LED[7]=0b01111111;
    LED[6]=0b01111111;
    LED[5]=0b01111111;
   	LED[4]=0b01111111; 	
	LED[3]=0b01111111;
	LED[2]=0b01111111;	
	LED[1]=0b01111111;	
    LED[0]=0b01111111;
	Delay(Delay_Time);	


    //pic17
	LED[7]=0b10000000;
    LED[6]=0b10000000;
    LED[5]=0b10000000;
   	LED[4]=0b10000000; 	
	LED[3]=0b10000000;
	LED[2]=0b10000000;	
	LED[1]=0b10000000;	
    LED[0]=0b10000000;
	Delay(Delay_Time);

    //pic18
	LED[7]=0b11000000;
    LED[6]=0b11000000;
    LED[5]=0b11000000;
   	LED[4]=0b11000000; 	
	LED[3]=0b11000000;
	LED[2]=0b11000000;	
	LED[1]=0b11000000;	
    LED[0]=0b11000000;
	Delay(Delay_Time);

    //pic19
	LED[7]=0b11100000;
    LED[6]=0b11100000;
    LED[5]=0b11100000;
   	LED[4]=0b11100000; 	
	LED[3]=0b11100000;
	LED[2]=0b11100000;	
	LED[1]=0b11100000;	
    LED[0]=0b11100000;
	Delay(Delay_Time);

    //pic20
	LED[7]=0b11110000;
    LED[6]=0b11110000;
    LED[5]=0b11110000;
   	LED[4]=0b11110000; 	
	LED[3]=0b11110000;
	LED[2]=0b11110000;	
	LED[1]=0b11110000;	
    LED[0]=0b11110000;
	Delay(Delay_Time);

    //pic21
	LED[7]=0b11111000;
    LED[6]=0b11111000;
    LED[5]=0b11111000;
   	LED[4]=0b11111000; 	
	LED[3]=0b11111000;
	LED[2]=0b11111000;	
	LED[1]=0b11111000;	
    LED[0]=0b11111000;
	Delay(Delay_Time);	

    //pic22
	LED[7]=0b11111100;
    LED[6]=0b11111100;
    LED[5]=0b11111100;
   	LED[4]=0b11111100; 	
	LED[3]=0b11111100;
	LED[2]=0b11111100;	
	LED[1]=0b11111100;	
    LED[0]=0b11111100;
	Delay(Delay_Time);	

    //pic23
	LED[7]=0b11111110;
    LED[6]=0b11111110;
    LED[5]=0b11111110;
   	LED[4]=0b11111110; 	
	LED[3]=0b11111110;
	LED[2]=0b11111110;	
	LED[1]=0b11111110;	
    LED[0]=0b11111110;
	Delay(Delay_Time);

}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
